class SI1 
{
  public static String bar = "hello";

  public static int passed = 1;
}

class SI2 extends SI1
{
  static {
    System.out.println("FAILED:  made it to static initializer");
    passed = 0;
  }
}

public class StaticInitTest3
{
  public static void main(String args[])
  {
    String foo = SI2.bar;

    if (SI1.passed == 1)
      System.out.println("PASSED: did not invoke subclass's <clinit> method.");
  }
}
